Subject: bug#11543: closed (Re: bug#11543: 3 test failures with automake-1.12.0 and perl-5.16.0)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 May 2012 07:43:02 +0000

Your bug report

#11543: 3 test failures with automake-1.12.0 and perl-5.16.0

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11543: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11543
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11543: 3 test failures with automake-1.12.0 and perl-5.16.0
From: Stefano Lattarini <[email-masked]>
To: Matt Burgess <[email-masked]>
Cc: [email-masked], "[email-masked]" <[email-masked]>
Date: Tue, 29 May 2012 09:40:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 05/28/2012 11:20 PM, Matt Burgess wrote:
> On Mon, 2012-05-28 at 13:47 +0200, Stefano Lattarini wrote:
> 
>> Does the attached patch fixes your issue?
> 
> Thanks, Stefano.  That's fixed it.
> 
Thanks for confirming.  I've applied that patch, after squashing
in the following addition to NEWS:

  diff --git a/NEWS b/NEWS
  index 944f7f9..6ce2a60 100644
  --- a/NEWS
  +++ b/NEWS
  @@ -112,6 +112,10 @@ Bugs fixed in 1.12.1:
           #line 7 "grammar.y"
       as it did before.

  +* Bugs with new Perl versions:
  +
  +  - Aclocal works correctly with perl 5.16.0 (automake bug#11543).
  +
   ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   New in 1.12:

Regards,
  Stefano

Subject: 3 test failures with automake-1.12.0 and perl-5.16.0
From: Matt Burgess <[email-masked]>
To: [email-masked]
Date: Tue, 22 May 2012 21:34:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

aclocal8, acsilent and unused test cases all fail if I have the newly
released perl-5.16.0 installed.

The error appears to be because of a change in Perl, which now ends up
outputting the following to stderr:

main::scan_file() called too early to check prototype
at /sources/automake-1.12/aclocal line 642.

I've attached the logs.  If you require any further information, just
let me know.

Thanks,

Matt.